#pragma once

// Genode includes
#include <base/connection.h>

// gapfruit includes
#include <timestamp_session/client.h>

namespace Timestamp {

	using Genode::Env;

	struct Connection;
}

struct Timestamp::Connection : Genode::Connection<Session>, Session_client
{

	/**
	 * Constructor
	 *
	 */
	Connection(Env &env, char const *label = "") :
		Genode::Connection<Session> { env,
		                              label,
		                              Ram_quota { DEFAULT_BUFFER_SIZE },
		                              Args { } },
		Session_client              { env.rm(), cap() }
	{ }
};

